Subject: Error while compiling kawa with gcj under Cygwin
From: lucian <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 9 Jan 2003 01:19:53 +0900

My apolodgies for the people who`ve seen these before,but I`m still stuck.

I need to compile Kawa library under Cygwing with gcj.Trying to do so with gcj3.2 that comes with 
Cygwing distridution gives :

Bubu@YELLOWWIN /cygdrive/c/baito/kawa-1.6.99/gnu/math
$ make
CLASSPATH=../..:./../..:$CLASSPATH gcj -C -d ../..  Numeric.java Quantity.java D
Quantity.java CQuantity.java Complex.java CComplex.java DComplex.java NamedUnit.
java BaseUnit.java Unit.java MulUnit.java Dimensions.java RealNum.java DFloNum.j
ava RatNum.java IntFraction.java MPN.java IntNum.java BitOps.java FixedRealForma
t.java ExponentialFormat.java
../../gnu/math/unit.java:11: Class `gnu.math.Unit' already defined in Unit.java:
11.
   public abstract class Unit extends Quantity
                         ^
../../gnu/math/unit.java:58: confused by earlier errors, bailing out
make: *** [java-classes.stamp] Error 

Got some feedback from [email-masked] people but still couldn`t solve it .

Searching [email-masked] mailing list I found 
  http://gcc.gnu.org/ml/java/2002-04/msg00309.html 
by Per Bothner with the same problem.
The answer from Mark Wielaard
  http://gcc.gnu.org/ml/java/2002-04/msg00313.html
gave a temporary solution which suggested recompilation of gcc packages.
Got the gcc source package that comes with cygwin, made the change suggested
in the message above and recompiled.Since libjava doesn`t compile completely
the resulted gcc package is not usefull for java compilation but jc1.exe is produced.
So I placed this newly compiled jc1.exe in the old (binary installed gcc distribution) 
and tried again . The result : 
Bubu@YELLOWWIN /cygdrive/e/baito/kawa/gnu/math
$ make
CLASSPATH=../..:./../..:$CLASSPATH gcj -C -d ../..  Numeric.java Quantity.java
Quantity.java CQuantity.java Complex.java CComplex.java DComplex.java NamedUnit
java BaseUnit.java Unit.java MulUnit.java Dimensions.java RealNum.java DFloNum.
ava RatNum.java IntFraction.java MPN.java IntNum.java BitOps.java FixedRealForm
t.java ExponentialFormat.java
Unit.java: In class `gnu.math.DQuantity':
Unit.java: In method `gnu.math.DQuantity.div(java.lang.Object)':
Unit.java:0: warning: reading class gnu.math.Unit for the second time from ../.
/gnu/math/unit.class
DQuantity.java:95: Can't find method `doubleValue()' in type `gnu.math.Unit'. C
ndidates are:
  `gnu.math.Unit.doubleValue()' in `gnu.math.Unit'
  `gnu.math.Unit.doubleValue()' in `gnu.math.Unit'.
          return new DFloNum ((factor * unit().doubleValue())
                                                  ^
DQuantity.java: In method `gnu.math.DQuantity.divReversed(gnu.math.Numeric)':
DQuantity.java:110: Can't find method `div(Lgnu/math/BaseUnit;Lgnu/math/Unit;)'
in type `gnu.math.Unit'. Candidates are:
  `gnu.math.Unit.div(gnu.math.Unit,gnu.math.Unit)' in `gnu.math.Unit'
  `gnu.math.Unit.div(gnu.math.Unit,gnu.math.Unit)' in `gnu.math.Unit'.
                           Unit.div (Unit.Empty, unit()));
                                  ^
2 errors
make: *** [java-classes.stamp] Error 1

Let me mention that this Kawa(latest update from CVS 2003/1/7)  pakage compiles OK under linux (debian)
with  gcc3.2.And that at Jim White`s suggestion to avoid  "case insensitive filesystem"  problems I used a
 samba server to compile from cygwin on a case sensitive environment and still no change.

Any suggestions ? I`m kind of running out of time , and run out of ideas so any help
is more the welcomed .
Thanks a lot !!
-- 
Lucian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/